Update Federation
- URL:https://<portal-url>/idp/federation/<federationId>/update(POST only)
Description
The update federation operation (POST only) allows organization administrator to edit the configuration of enterprise login with a SAML-based federation of identity providers.
Request Parameters
Property | Details |
|---|---|
| [Common Parameters] | For a complete listing, see Common parameters. |
| name | The SAML federation name. |
| discoveryServiceUrl | SAML federation discovery service URL. |
| metadataServiceUrl | SAML federation aggregate metadata service URL. |
| certificate | Base64-encoded certificate text used to validate metadata service, enclosed between -----BEGIN CERTIFICATE----- and -----END CERTIFICATE-----. |
| entityId | Entity ID used to identify the organization in SAML federation. |
| signUpMode | Enterprise members joining mode to the organization, automatically or through an invitation. Supported values: Automatic | Invitation |
| encryptionSupported | If true, it indicates to SAML federation that encrypted SAML assertion responses are supported. |
| roleId | Default role members are assigned, used when signUpMode=Automatic. |
| supportSignedRequest | If true, organization signs the SAML authentication request sent to the IDP federation. |
| useSHA256 | If true, organization signs request using SHA-256 hash function, applicable when supportSignedRequest=true. |
| supportsLogoutRequest | If true, signing out of the organization propagates logout of the IDP. |
| userLicenseType | Default user license type members are assigned, used when signUpMode=Automatic. |
| groups | An array of groups members are added upon joining the organization, used when signUpMode=Automatic. Example: ["6dc1a6f134b44ebb8d1f1b55f0ad8753","538553267d36484daee14bf60105e119"] |
| updateProfileAtSignin | If true, automatically sync user account information (full name and email address) stored in ArcGIS Online with the information received from the IDP. |
Response Properties
Property | Details |
|---|---|
| success | Indicates if the operation was successful. |
| federationId | The ID of the organization identity federation. |
Example Usage
URL for Update Federation
https://www.arcgis.com/sharing/rest/portals/J423vH8fR9HV444k/idp/federation/7JgLJjJMfGXfDops/update
JSON Response Syntax
{
"success": true,
"federationId": "<organization identity federation ID>"
}
JSON Response Example
{
"success": true,
"federationId": "J55ajJJ7MsY1QoQs"
}